package com.hungraim.ltc.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import com.hungraim.ltc.pojo.entity.assessment.ChRefuseReason;
import com.hungraim.ltc.pojo.entity.disable.ChCfgSrvDisableLevel;
import com.hungraim.ltc.pojo.vo.assessment.*;
import com.hungraim.ltc.util.Result;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 失能评定Service
 *
 * @author czz
 */
@Service
public interface TaskService {

    Page<TaskDistributionVO> taskDistributionList(Page<TaskDistributionVO> page, String organId, String provincial, String city,
                                                  String street, String realName, String certiCode, String taskName, String taskTel,
                                                  String daysRemaining, String status, String isReturn, String area);

    List<TaskReportVO> taskReportList(String name, String certiCode, String tel);

    List<AprEmpVO> aprEmpList(String provincial, String city, String area, String organName, String name, String tel, String groupLeader);

    Result<Object> addReport(Integer taskId, Integer person1, Integer person2, Integer person3, Date evaluateTime, Integer disableLevelId, String polNo, String remark, List<ChFndAttach> fileDataList);

    void updateReport(Integer reportId, Integer person1, Integer person2, Integer person3, Date evaluateDate, Integer disableLevelId, String polNo, String remark, List<ChFndAttach> fileDataList);

    Result<Object> allotTask(String taskId, String empId);

    List<TaskGroupVO> taskGroupList(String name, String certiCode, String tel);

    Result<Object> taskGroup(Integer pushId, Integer status, Short refuseReason, String refuseRemark);

    List<ChCfgSrvDisableLevel> cfgSrvDisableLevelList();

    List<PersonInfoVO> personInfoList(String reportId);

    List<TaskGroupInfoVO> taskGroupInfoList(String groupNumber);

    Result<Object> taskGroupByGroup(String groupNumber, Integer status, Short refuseReason, String refuseRemark);

    TaskGroupInfoListInfoVO taskGroupInfoListInfo(String pushId);

    List<AllotTaskHisVO> allotTaskHisList();

    Result<Object> updatePushTimeAndRemark(String pushId, Date timeDate, String remark);

    List<ChRefuseReason> refuseReasonList();
}
